#include <fstream>
#include <string>
using namespace std;

ifstream input("Bai3_18.inp");
ofstream output("Bai3_18.out");
string a;
long long k;

int main()
{
	input >> k >> a;
	k %= a.size();
	string b = a.substr(a.size() - k, k);
	a.erase(a.size() - k, k);
	output << b << a;
	input.close();
	output.close();
	return 0;
}